<template lang="">
    <textarea type="text" class="textarea" v-model="modelValue" @input="inputValue"></textarea>
</template>
  
  <script>
  export default {
    name: 'my-textarea',
    emits: ['update:modelValue'],
    props: {
      modelValue: {
        type: [String, Number]
      }
    },
    methods: {
      inputValue(event) {
        this.$emit('update:modelValue', event.target.value)
      }
    }
  }
  </script>
  
  <style scoped>
    .textarea {
      width: 100%;
      border: 1px solid teal;
      padding: 10px 15px;
      margin-top: 15px;
    }
  </style>